# Class CIM_VendorPolicyCondition
extends CIM_PolicyCondition

A class that provides a general extension mechanism for representing PolicyConditions that have not been modeled with specific properties. Instead, the two properties Constraint and ConstraintEncoding are used to define the content and format of the Condition, as explained below. As its name suggests, VendorPolicyCondition is intended for vendor-specific extensions to the Policy Core Information Model. Standardized extensions are not expected to use this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyCondition
|
+--CIM_VendorPolicyCondition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class that provides a general extension mechanism for representing PolicyConditions that have not been modeled with specific properties. Instead, the two properties Constraint and ConstraintEncoding are used to define the content and format of the Condition, as explained below. As its name suggests, VendorPolicyCondition is intended for vendor-specific extensions to the Policy Core Information Model. Standardized extensions are not expected to use this class.

UMLPackagePath | string | CIM::Policy
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConstraintEncoding | string |
Description | string | An OID encoded as a string, identifying the format and semantics for this instance's Constraint property.
ModelCorrespondence | string | CIM_VendorPolicyCondition.Constraint
Constraint | string[] |

Description

string

This property provides a general extension mechanism for representing PolicyConditions that have not been modeled with specific properties. The format of the octet strings in the array is left unspecified in this definition. It is determined by the OID value stored in the property ConstraintEncoding. Since ConstraintEncoding is single-valued, all the values of Constraint share the same format and semantics.

ModelCorrespondence | string | CIM_VendorPolicyCondition.ConstraintEncoding
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyCondition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyConditionName | string | CIM_PolicyCondition
PolicyRuleCreationClassName | string | CIM_PolicyCondition
PolicyRuleName | string | CIM_PolicyCondition
SystemCreationClassName | string | CIM_PolicyCondition
SystemName | string | CIM_PolicyCondition
PolicyKeywords | string[] | CIM_Policy

## Class Methods